Subject: [dns-dir] For your amusement -- IDN and similarities and ITU

From: Patrik Fältström <[email-masked]>
Date: Wed, 28 Jul 2010 13:47:22 +0200

Documents currently discussed in Geneva (as I send this). Not finalized.

   Patrik